View Issue Details

IDProjectCategoryView StatusLast Update
0005776GNUnetotherpublic2019-08-08 19:31
ReportermaradoAssigned Tot3sserakt 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Product VersionSVN HEAD 
Target VersionFixed in Version 
Summary0005776: groupchat fails to build
Descriptiongit clone git://gnunet.org/groupchat.git followed by make fails to build, due to some coding style errors.
Steps To Reproducegit clone git://gnunet.org/groupchat.git && cd groupchat && make

fails with

        ... groupchat.nim(81, 21) Error: invalid indentation

I am providing a patch fixing this.
Additional InformationThere's no easy information available on how to contribute to groupchat, I am hopeful this is the right way to do it.
TagsNo tags attached.

Activities

marado

2019-06-26 00:35

reporter  

0001-Fixed-coding-style-errors.patch (1,267 bytes)
From fe3cd1163b24ff6e10bf06d7d83f63a04e80f67a Mon Sep 17 00:00:00 2001
From: Marcos Marado <mindboosternoori@gmail.com>
Date: Tue, 25 Jun 2019 23:22:19 +0100
Subject: [PATCH] Fixed coding style errors

---
 src/groupchat.nim | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/groupchat.nim b/src/groupchat.nim
index db59045..64b0386 100644
--- a/src/groupchat.nim
+++ b/src/groupchat.nim
@@ -78,8 +78,8 @@ proc firstTask(gnunetApp: ref GnunetApplication,
         processClientMessages(channel, chat).addCallback(channelDisconnected)
 
 proc main() =
-  var home = getEnv ("HOME")
   var server, port, configfile: string
+  var home = getEnv("HOME")
   var optParser = initOptParser()
 
   for kind, key, value in optParser.getopt():
@@ -93,10 +93,10 @@ proc main() =
       assert(false)
 
   # Check for existing config
-  if not (fileExists (configfile)):
-    if fileExists (home & "/.config/gnunet.conf"):
+  if not (fileExists(configfile)):
+    if fileExists(home & "/.config/gnunet.conf"):
       configfile = home & "/.config/gnunet.conf"
-    elif fileExists ("/etc/gnunet.conf"):
+    elif fileExists("/etc/gnunet.conf"):
       configfile = "/etc/gnunet.conf"
     else:
       echo "I need a config file to use."
-- 
2.20.1

Issue History

Date Modified Username Field Change
2019-06-26 00:35 marado New Issue
2019-06-26 00:35 marado File Added: 0001-Fixed-coding-style-errors.patch
2019-08-08 19:31 t3sserakt Assigned To => t3sserakt
2019-08-08 19:31 t3sserakt Status new => assigned